mod_python and xml.dom.minidom problem

Tom tsidwick at remove.yahoo.co.uk
Mon Oct 14 21:16:59 CEST 2002


Hi,

I hope someone can help me with this small problem.

I recently upgraded my PyXml package to take advantage of some new 
features, but since then I haven't been able to call any xml function 
from mod_python, code that was working has stopped working giving 
several similar errors. This does not seem to affect python scripts or 
code typed directly into the interpreter.

I'm running Slackware 8.1 with :

Apache 1.3.24
Python 2.2.1
mod_python 2.7.8
PyXML 0.8.1

below is an example of the error I get when trying the code :

hive=parseString("<?xml version='1.0' 
encoding='iso-8859-1'?><hive><page/></hive>")

   File "/usr/lib/python2.2/site-packages/_xmlplus/dom/minidom.py", line 
1605, in parseString
     return expatbuilder.parseString(string)

   File "/usr/lib/python2.2/site-packages/_xmlplus/dom/expatbuilder.py", 
line 943, in parseString
     return builder.parseString(string)

   File "/usr/lib/python2.2/site-packages/_xmlplus/dom/expatbuilder.py", 
line 187, in parseString
     parser = self.getParser()

   File "/usr/lib/python2.2/site-packages/_xmlplus/dom/expatbuilder.py", 
line 119, in getParser
     self._parser = self.createParser()

   File "/usr/lib/python2.2/site-packages/_xmlplus/dom/expatbuilder.py", 
line 734, in createParser
     parser.namespace_prefixes = True

any help would be great,
Tom




More information about the Python-list mailing list